Package org.jcsp.net.settings

# Interface XMLConfigConstants

All Known Implementing Classes:
  `ConfigReader`, `ConnectionOriented`, `MaxPing`, `MaxSpeed`, `Memory`, `MinMemory`, `MinSpeed`, `OtherSpec`, `Reliable`, `ReqProtocol`, `Spec`, `Wireless`

public interface XMLConfigConstants
Used internally within the JCSP network infrastructure to define the XML configuration names.

Author:
  Quickstone Technologies Limited

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATA_TYPE_INDICATOR_BOOLEAN`
`static final String`
`DATA_TYPE_INDICATOR_DOUBLE`
`static final String`
`DATA_TYPE_INDICATOR_INT`
`static final String`
`DATA_TYPE_INDICATOR_STRING`
`static final String`
`ELEMENT_ADDRESS`
`static final String`
`ELEMENT_ADDRESS_SETTING`
`static final String`
`ELEMENT_ADDRESSES`
`static final String`
`ELEMENT_CONNECTION_ORIENTED`
`static final String`
`ELEMENT_LINK_PROFILE`
`static final String`
`ELEMENT_LINK_PROFILES`
`static final String`
`ELEMENT_LINK_REQ_MAXPING`
`static final String`
`ELEMENT_LINK_REQ_MINSPEED`
`static final String`
`ELEMENT_LINK_REQ_OTHER`
`static final String`
`ELEMENT_LINK_REQ_PROTOCOL`
`static final String`
`ELEMENT_LINK_REQS`
`static final String`
`ELEMENT_MAXSPEED`
`static final String`
`ELEMENT_MEMORY`
`static final String`
`ELEMENT_NODE_PROFILE`
`static final String`
`ELEMENT_NODE_PROFILES`
`static final String`
`ELEMENT_NODE_REQ_MINMEMORY`
`static final String`
`ELEMENT_NODE_REQ_MINSPEED`
`static final String`
`ELEMENT_NODE_REQ_OTHER`
`static final String`
`ELEMENT_NODE_REQS`
`static final String`
`ELEMENT_NODE_SPECS`
`static final String`
`ELEMENT_OTHERSPEC`
`static final String`
`ELEMENT_PLUGIN`
`static final String`
`ELEMENT_PLUGINS`
`static final String`
`ELEMENT_PROTOCOL`
`static final String`
`ELEMENT_PROTOCOL_SETTING`
`static final String`
`ELEMENT_PROTOCOL_SETTINGS`
`static final String`
`ELEMENT_PROTOCOLS`
`static final String`
`ELEMENT_RELIABLE`
`static final String`
`ELEMENT_SERVICE`
`static final String`
`ELEMENT_SERVICES`
`static final String`
`ELEMENT_SETTING`
`static final String`
`ELEMENT_SETTINGS`
`static final String`
`ELEMENT_SPECS`
`static final String`
`ELEMENT_WIRELESS`
`static final String`
`REQ_COMPARATOR_EQUALS`
`static final String`
`REQ_COMPARATOR_GREATER`
`static final String`
`REQ_COMPARATOR_LESS`
`static final String`
`REQ_NAME_MAXPING`
`static final String`
`REQ_NAME_MINMEMORY`
`static final String`
`REQ_NAME_MINSPEED`
`static final String`
`REQ_NAME_PROTOCOL`
`static final String[]`
`RESERVED_SPEC_NAMES`
`static final String`
`SPEC_NAME_CONNECTION_ORIENTED`
`static final String`
`SPEC_NAME_MAXSPEED`
`static final String`
`SPEC_NAME_MEMORY`
`static final String`
`SPEC_NAME_PING`
`static final String`
`SPEC_NAME_PROTOCOL`
`static final String`
`SPEC_NAME_RELIABLE`
`static final String`
`SPEC_NAME_WIRELESS`
`static final String`
`XML_BOOLEAN_FALSE`
`static final String`
`XML_BOOLEAN_TRUE`
`static final String`
`XML_TRISTATE_CANBE`
`static final String`
`XML_TRISTATE_FALSE`
`static final String`
`XML_TRISTATE_TRUE`

## Field Details

### SPEC_NAME_MAXSPEED

static final String SPEC_NAME_MAXSPEED

See Also:
  - Constant Field Values

### SPEC_NAME_WIRELESS

static final String SPEC_NAME_WIRELESS

See Also:
  - Constant Field Values

### SPEC_NAME_RELIABLE

static final String SPEC_NAME_RELIABLE

See Also:
  - Constant Field Values

### SPEC_NAME_CONNECTION_ORIENTED

static final String SPEC_NAME_CONNECTION_ORIENTED

See Also:
  - Constant Field Values

### SPEC_NAME_MEMORY

static final String SPEC_NAME_MEMORY

See Also:
  - Constant Field Values

### SPEC_NAME_PROTOCOL

static final String SPEC_NAME_PROTOCOL

See Also:
  - Constant Field Values

### SPEC_NAME_PING

static final String SPEC_NAME_PING

See Also:
  - Constant Field Values

### REQ_NAME_MINSPEED

static final String REQ_NAME_MINSPEED

See Also:
  - Constant Field Values

### REQ_NAME_PROTOCOL

static final String REQ_NAME_PROTOCOL

See Also:
  - Constant Field Values

### REQ_NAME_MAXPING

static final String REQ_NAME_MAXPING

See Also:
  - Constant Field Values

### REQ_NAME_MINMEMORY

static final String REQ_NAME_MINMEMORY

See Also:
  - Constant Field Values

### RESERVED_SPEC_NAMES

static final String[] RESERVED_SPEC_NAMES

### REQ_COMPARATOR_EQUALS

static final String REQ_COMPARATOR_EQUALS

See Also:
  - Constant Field Values

### REQ_COMPARATOR_GREATER

static final String REQ_COMPARATOR_GREATER

See Also:
  - Constant Field Values

### REQ_COMPARATOR_LESS

static final String REQ_COMPARATOR_LESS

See Also:
  - Constant Field Values

### XML_BOOLEAN_TRUE

static final String XML_BOOLEAN_TRUE

See Also:
  - Constant Field Values

### XML_BOOLEAN_FALSE

static final String XML_BOOLEAN_FALSE

See Also:
  - Constant Field Values

### XML_TRISTATE_TRUE

static final String XML_TRISTATE_TRUE

See Also:
  - Constant Field Values

### XML_TRISTATE_FALSE

static final String XML_TRISTATE_FALSE

See Also:
  - Constant Field Values

### XML_TRISTATE_CANBE

static final String XML_TRISTATE_CANBE

See Also:
  - Constant Field Values

### DATA_TYPE_INDICATOR_INT

static final String DATA_TYPE_INDICATOR_INT

See Also:
  - Constant Field Values

### DATA_TYPE_INDICATOR_DOUBLE

static final String DATA_TYPE_INDICATOR_DOUBLE

See Also:
  - Constant Field Values

### DATA_TYPE_INDICATOR_STRING

static final String DATA_TYPE_INDICATOR_STRING

See Also:
  - Constant Field Values

### DATA_TYPE_INDICATOR_BOOLEAN

static final String DATA_TYPE_INDICATOR_BOOLEAN

See Also:
  - Constant Field Values

### ELEMENT_SETTINGS

static final String ELEMENT_SETTINGS

See Also:
  - Constant Field Values

### ELEMENT_SERVICES

static final String ELEMENT_SERVICES

See Also:
  - Constant Field Values

### ELEMENT_PLUGINS

static final String ELEMENT_PLUGINS

See Also:
  - Constant Field Values

### ELEMENT_PROTOCOLS

static final String ELEMENT_PROTOCOLS

See Also:
  - Constant Field Values

### ELEMENT_ADDRESSES

static final String ELEMENT_ADDRESSES

See Also:
  - Constant Field Values

### ELEMENT_LINK_PROFILES

static final String ELEMENT_LINK_PROFILES

See Also:
  - Constant Field Values

### ELEMENT_NODE_PROFILES

static final String ELEMENT_NODE_PROFILES

See Also:
  - Constant Field Values

### ELEMENT_NODE_SPECS

static final String ELEMENT_NODE_SPECS

See Also:
  - Constant Field Values

### ELEMENT_SETTING

static final String ELEMENT_SETTING

See Also:
  - Constant Field Values

### ELEMENT_SERVICE

static final String ELEMENT_SERVICE

See Also:
  - Constant Field Values

### ELEMENT_ADDRESS_SETTING

static final String ELEMENT_ADDRESS_SETTING

See Also:
  - Constant Field Values

### ELEMENT_PLUGIN

static final String ELEMENT_PLUGIN

See Also:
  - Constant Field Values

### ELEMENT_PROTOCOL

static final String ELEMENT_PROTOCOL

See Also:
  - Constant Field Values

### ELEMENT_PROTOCOL_SETTINGS

static final String ELEMENT_PROTOCOL_SETTINGS

See Also:
  - Constant Field Values

### ELEMENT_PROTOCOL_SETTING

static final String ELEMENT_PROTOCOL_SETTING

See Also:
  - Constant Field Values

### ELEMENT_SPECS

static final String ELEMENT_SPECS

See Also:
  - Constant Field Values

### ELEMENT_MAXSPEED

static final String ELEMENT_MAXSPEED

See Also:
  - Constant Field Values

### ELEMENT_WIRELESS

static final String ELEMENT_WIRELESS

See Also:
  - Constant Field Values

### ELEMENT_RELIABLE

static final String ELEMENT_RELIABLE

See Also:
  - Constant Field Values

### ELEMENT_CONNECTION_ORIENTED

static final String ELEMENT_CONNECTION_ORIENTED

See Also:
  - Constant Field Values

### ELEMENT_MEMORY

static final String ELEMENT_MEMORY

See Also:
  - Constant Field Values

### ELEMENT_OTHERSPEC

static final String ELEMENT_OTHERSPEC

See Also:
  - Constant Field Values

### ELEMENT_ADDRESS

static final String ELEMENT_ADDRESS

See Also:
  - Constant Field Values

### ELEMENT_LINK_PROFILE

static final String ELEMENT_LINK_PROFILE

See Also:
  - Constant Field Values

### ELEMENT_LINK_REQS

static final String ELEMENT_LINK_REQS

See Also:
  - Constant Field Values

### ELEMENT_LINK_REQ_PROTOCOL

static final String ELEMENT_LINK_REQ_PROTOCOL

See Also:
  - Constant Field Values

### ELEMENT_LINK_REQ_MINSPEED

static final String ELEMENT_LINK_REQ_MINSPEED

See Also:
  - Constant Field Values

### ELEMENT_LINK_REQ_MAXPING

static final String ELEMENT_LINK_REQ_MAXPING

See Also:
  - Constant Field Values

### ELEMENT_LINK_REQ_OTHER

static final String ELEMENT_LINK_REQ_OTHER

See Also:
  - Constant Field Values

### ELEMENT_NODE_PROFILE

static final String ELEMENT_NODE_PROFILE

See Also:
  - Constant Field Values

### ELEMENT_NODE_REQS

static final String ELEMENT_NODE_REQS

See Also:
  - Constant Field Values

### ELEMENT_NODE_REQ_MINSPEED

static final String ELEMENT_NODE_REQ_MINSPEED

See Also:
  - Constant Field Values

### ELEMENT_NODE_REQ_MINMEMORY

static final String ELEMENT_NODE_REQ_MINMEMORY

See Also:
  - Constant Field Values

### ELEMENT_NODE_REQ_OTHER

static final String ELEMENT_NODE_REQ_OTHER

See Also:
  - Constant Field Values